## gkl 0.8.10+dfsg

=== debian/changelog ===
gkl (0.8.10+dfsg-3) unstable; urgency=medium

  * Having libgkl-java only recommend libgkl-jni

 -- Pierre Gruet <pgt@debian.org>  Fri, 30 Sep 2022 20:41:18 +0200

gkl (0.8.10+dfsg-2) unstable; urgency=medium

  * Allowing the autopkgtest to print to stderr, where informative messages
    are displayed

 -- Pierre Gruet <pgt@debian.org>  Sun, 25 Sep 2022 07:16:10 +0200

gkl (0.8.10+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.10+dfsg
  * Refreshing patches
  * Updating d/watch for the new Github layout
  * Raising Standards version to 4.6.1 (no change)
  * Loading native libraries from /usr/lib/jni instead of using bundled ones to
    enhance portability
  * Passing the path of the built .so files to the dh_auto_test override
  * Having the -java package depend on the -jni one
  * Removing an unused Lintian override

 -- Pierre Gruet <pgt@debian.org>  Fri, 23 Sep 2022 10:09:37 +0200
