## gkl 0.8.11%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gkl
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java
@@ -18,7 +19,7 @@
                libhtsjdk-java,
                libgatk-native-bindings-java,
                cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL
