=== debian/changelog ===
gkl (0.8.11+dfsg-2) unstable; urgency=medium

  * Fixing build with OpenJDK-21 (Closes: #1057502)

 -- Pierre Gruet <pgt@debian.org>  Thu, 14 Dec 2023 22:07:00 +0100

gkl (0.8.11+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.11+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Refreshing d/copyright contents
  * Refreshing the list of files to exclude in d/copyright
  * Changing build.gradle syntax to make it Debian-gradle-compliant
  * Removing signing and publishing stanzas from build.gradle
  * Making d/watch more legible
  * Set upstream metadata fields: Security-Contact.
  * Adding a Lintian override for the (modified) embedded zlib

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 00:04:16 +0200
