=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gkl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java
