=== debian/changelog ===
gkl (0.9.1+dfsg-3) unstable; urgency=medium

  * Team upload
  [ Vladimir Petko ]
  * d/p/fix_debian_build.patch: use Debian Java compatibility version
    to suppress System.loadLibrary() warning (Closes: #1108564).

  [ tony mancill ]
  * Bump Standards-Version to 4.7.3
  * Freshen years in debian/copyright
  * Update debian/watch to version 5

 -- tony mancill <tmancill@debian.org>  Sun, 22 Feb 2026 09:50:43 -0800

gkl (0.9.1+dfsg-2) unstable; urgency=medium

  * Raising CMake minimum version constraint (Closes: #1112955)

 -- Pierre Gruet <pgt@debian.org>  Sun, 28 Sep 2025 16:52:12 +0200

gkl (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.1+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.2 (no change)
  * Removing calls to empty doneNative method, which caused
    UnsatisfiedLinkError
  * Adding versioned B-D on libgatk-native-bindings-java
  * Adding correct versioned Recommends on libgkl-jni to handle binNMU

 -- Pierre Gruet <pgt@debian.org>  Sun, 31 Aug 2025 20:32:23 +0200
