=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java
-Priority: optional
 Build-Depends: default-jdk,
                debhelper-compat (= 13),
                javahelper,
@@ -16,22 +15,22 @@
                libcommons-io-java,
                liblog4j2-java,
                libhtsjdk-java,
-               libgatk-native-bindings-java,
+               libgatk-native-bindings-java (>= 1.1.0+dfsg),
                cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL
-Rules-Requires-Root: no
 
 Package: libgkl-java
 Architecture: all
 Depends: ${misc:Depends},
          ${maven:Depends},
          ${java:Depends},
-         libgatk-native-bindings-java
+         libgatk-native-bindings-java (>= 1.1.0+dfsg),
 Recommends: ${java:Recommends},
-            libgkl-jni
+            libgkl-jni (>= ${source:Version}),
+            libgkl-jni (<< ${source:Version}.1~)
 Multi-Arch: foreign
 Description: Java library to manipulate SAM and BAM files
  Java library with optimized versions of compute kernels used in genomics
