=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 include /usr/share/dpkg/default.mk
+include /usr/share/java/java_defaults.mk
+
+export ORG_GRADLE_PROJECT_debianJavaCompatVersion=$(java_compat_level)
 
 %:
 	dh  $@ --buildsystem=gradle --with javahelper,jh_maven_repo_helper
