=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: auto
Owner: Intel-HLS
Project: GKL
Repack: yes
Repacksuffix: +dfsg
Uversionmangle: s/-rc/~rc/
